LCHMOD(3)

NAME
lchmod - change mode of file

SYNOPSIS
#include <sys/stat.h>
#include <unistd.h>
int
lchmod(const char *path, mode_t flags);

DESCRIPTION
The function lchmod() sets the file permission bits of the file specified by the pathname path to mode. See chmod(2) for the values of the flags.

The lchmod() call is like chmod() except when the named file is a symbolic link, in which case lchmod() will change the flags of the link itself, rather than the file it points to.

NOTE
Instead of being a system call, lchmod() is emulated using setattrlist(2). Not all file systems support setattrlist(2).

RETURN VALUES
Upon successful completion, a value of 0 is returned. Otherwise, -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The lchmod() call may return the same errors as chmod(2) and setattrlist(2).

SEE ALSO
chmod(2), setattrlist(2)